: Class Image

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class Image

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Tag
                  |
                  +--com.mortbay.HTML.Image

public class Image
extends Tag

HTML Image Tag

Version:
  $Id: Image.java,v 2.3 1999/09/22 15:08:41 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `Block`

Fields inherited from class com.mortbay.HTML.Tag
`tag`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Image(java.io.File gif)` Construct from Gif file.
`Image(java.lang.String src)`
`Image(java.lang.String src, int width, int height, int border)`
`Image(java.lang.String dirname, java.lang.String src)` Construct from Gif file.

Method Summary
`Image` | `alt(java.lang.String alt)`
`Image` | `border(int b)`
`Image` | `setSizeFromGif(java.io.File gif)` Set the image size from the header of a GIF file
`Image` | `setSizeFromGif(java.lang.String filename)` Set the image size from the header of a GIF file
`Image` | `setSizeFromGif(java.lang.String dirname, java.lang.String pathname)` Set the image size from the header of a GIF file

Methods inherited from class com.mortbay.HTML.Tag
`write`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Image

    public Image(java.lang.String src)

### Image

    public Image(java.lang.String dirname,
                 java.lang.String src)

  Construct from Gif file.

### Image

    public Image(java.io.File gif)

  Construct from Gif file.

### Image

    public Image(java.lang.String src,
                 int width,
                 int height,
                 int border)

Method Detail

### border

    public Image border(int b)

### alt

    public Image alt(java.lang.String alt)

### setSizeFromGif

    public Image setSizeFromGif(java.lang.String dirname,
                                java.lang.String pathname)

  Set the image size from the header of a GIF file
  Parameters:
    `dirname` - The directory name, expected to be in OS format
    `pathname` - The image path name relative to the directory. Expected to be in WWW format (i.e. with slashes) and will be converted to OS format.

### setSizeFromGif

    public Image setSizeFromGif(java.lang.String filename)

  Set the image size from the header of a GIF file

### setSizeFromGif

    public Image setSizeFromGif(java.io.File gif)

  Set the image size from the header of a GIF file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD